# Are Right, A Lot
1.  Tell me about a decision for which data and analysis weren’t sufficient to provide the right course and you had to rely on your judgment and instincts.  Give me two to three examples.  They don’t have to be big strategic decisions – could be big or small. 
2.  Tell me about a time you made a difficult decision and how you knew it was the right solution (probe on how they evaluated the options, if they received input, what data they reviewed, etc.)
3.  Give me an example of when you have to make an important decision in the absence of good data because there just wasn’t any.  What was the situation and how did you arrive at your decision?  Did the decision turn out to be the correct one?  Why or why not?
4.  Tell me about a time when you made a bad decision and the learning from the experience enabled you to make a good decision later. What did you learn that you were able to apply?
5.  Tell me about a time when you have been faced with a challenge where the best way forward or strategy to adopt was not “clear cut” (i.e. there were a number of possible solutions).  How did you decide the best way forward?  
6.  Tell me about an error in judgment you made in the last year or two, what it was and the impact of it.
7.  Tell me about a business model decision or key technology decision or other important strategic decision you had to make for which there was not enough data or benchmarks.  In the absence of all the data, what guided your choice and how did you make the call? (follow up with the alternatives considered and how/why they were ruled out in favor of the path taken, what was the risk mitigation strategy? Outcome?  Ask for another example and potentially a third until you are sure this is a pattern and not a one off).  (Manager)
8.  What are the top strategic issues you’ve had to face in your current role?  What decisions did you end up making?  (Manager)

# Bias for Action
1.  Give me an example of a calculated risk that you have taken where speed was critical.  What was the situation and how did you handle it?  What steps did you take to mitigate the risk?  What was the outcome? 
2.  Describe a situation where you made an important business decision without consulting your manager.   What was the situation and how did it turn out?
3.  Tell me about a time when you had to analyze facts quickly, define key issues, and respond immediately to a situation. What was the outcome?
4.  Tell me about a time when you have worked against tight deadlines and didn't have the time to consider all options before making a decision.  How much time did you have?  What approach did you take?  
5.  Give an example of when you had to make an important decision and had to decide between moving forward or gathering more information.   What did you do?  What information is necessary for you to have before acting?
6.  Tell me about a time where you felt your team was not moving to action quickly enough.  What did you do?  (Manager)
7.  Tell me about a time when you were able to remove a serious roadblock/barrier preventing your team from making progress?  How were you able to remove the barrier?  What was the outcome? (Manager)

# Customer Obsession
1.  Give me an example of a time you used customer feedback to drive improvement or innovation.  What was the situation and what action did you take? 
2.  Give me an example of your most difficult customer interaction and how you worked through it.  What was the outcome? 
3.  Tell me about a time a customer wanted one thing, but you felt they needed something else.  How did you approach the situation, what were your actions and what was the end result?
4.  Tell me about a time when you went above and beyond the call of duty for a customer.  Why did you take the action you did?  What was the outcome?
5.  Most of us at one time or another have felt frustrated or impatient when dealing with customers.  Can you tell us about a time when you felt this way and how you dealt with it?  When do you think it’s appropriate to push back or say no to an unreasonable customer request? 
6.  Can you give me an example of when you’ve been able to see around the corner to meet a customer need or delight a customer with  a solution or product they didn’t yet know they needed/wanted?
7.  To try to meet the high expectations of our customers, we sometimes promise more than we can deliver.  Tell me about a time when you overcommitted yourself or your company.  How did you resolve the issue? 
8.  Tell me about a time when you had to balance the needs of the customer vs. the needs of the business.  How did you manage this situation?
9.  In your opinion, what is the most effective way to evaluate the quality of your product or service to your internal /external customer?  Give an example of a time when you used these measures to make a decision.  (Manager)
10. What changes have you implemented in your current department to meet the needs of your customers?  What has been the result?  (Manager)
 

# Deliver Results
1.  Tell me about a time you (and your team if Manager) were driving toward a goal and were more than half way to the objective when you realized it may not be the best or right goal or may have unintended consequences.  What was the situation and what did you do?  [testing for achieving the right result versus driving goal for sake of goal achievement.  May want follow up questions regarding to determine if the person was willing to take hit on goal attainment to achieve the right result and test long term versus short term thinking.]
2.  Tell me about a goal that you set that took a long time to achieve or that you are still working towards.  How do you keep focused on the goal given the other priorities you have? 
3.  Tell me about a time where you not only met a goal but considerably exceeded expectations.  How were you able to do it?  What challenges did you have to overcome?
4.  Give me an example of a time when you were able to deliver an important project under a tight deadline.  What sacrifices did you have to make to meet the deadline?  How did they impact the final deliverables? 
5.  Tell me about a time you had significant, unanticipated obstacles to overcome in achieving a key goal.  Were you eventually successful? 
6.  How do you ensure you are focusing on the right deliverables when you have several competing priorities?  Tell me about a time when you did not effectively manage your projects and something fell through the cracks.  (Manager)
7.  What’s your secret to success in setting stretch goals for your team that are challenging, yet achievable?  Tell me about a time you didn’t hit the right balance.  How did you adjust?  (Manager)
8.  Give an example of a mission or goal you didn’t think was achievable.  What was it and how did you help your team try to achieve it.  Were you successful in the end? (Manager)

# Dive Deep
1.  Tell me about a time you were trying to understand a problem on your team and you had to go down several layers to figure it out.  Who did you talk with and what information proved most valuable?  How did you use that information to help solve the problem? 
2.  Tell me about a problem you had to solve that required in-depth thought and analysis?  How did you know you were focusing on the right things? 
3.  Tell me about a time when you linked two or more problems together and identified an underlying issue?  Were you able to find a solution? 
4.  Walk me through a big problem or issue in your organization that you helped to solve.  How did you become aware of it?  What information did you gather, what information was missing and how did you fill the gaps?  Did you do a post mortem analysis and if you did what did you learn?  
5.  Can you tell me about a specific metric you have used to identify a need for a change in your department?  Did you create the metric or was it already available?  How did this and other information influence the change? 
6.  Give me a situation in which it took you asking why five times to get to the root cause.
7.  As a manager, how do you stay connected to the details while focusing on the strategic, bigger picture issues?  Tell me about a time when you were too far removed from a project one of your employees was working on and you ended up missing a goal (Manager)
8.  When your direct reports are presenting a plan or issue to you, how do you know if the underlying assumptions are the correct ones?  What actions do you take to validate assumptions or data?   (Manager)

# Earn Trust of Others
1.  Describe a time when you significantly contributed to improving morale and productivity on your team.  What were the underlying problems and their causes?  How did you prevent them from negatively impacting the team in the future?
2.  What three things you are you working on to improve your overall effectiveness?  
3.  Give an example of a tough or critical piece of feedback you received.  What was it and what did you do about it?
4.  Give me an example of an idea you had that was strongly opposed.  Why was there so much resistance?  How did you handle the negative feedback?
5.  Give me an example of a significant professional failure. What led you to making the wrong decision?  What did you learn from this situation?    
6.  Give an example of a time where you were not able to meet a commitment to a team member.  What was the commitment and what prevented you from meeting it?  What was the outcome and what did you learn from it?
7.  Building trust can be difficult to achieve at times.  Tell me about how you have effectively built trusting working relationships with others on your team. 
8.  Describe a time when you needed the cooperation of a peer who was resistant.  What did you do?   What was the outcome?
9.  Tell me about a piece of direct feedback you recently gave to a colleague.  How did s/he respond?  How do you like to receive feedback from others?  
10. Tell me about a time you had to communicate a big change in direction for which you anticipated people would have a lot of concerns.  How did you handle questions and/or resistance?  Were you able to get people comfortable with the change? 
11. Tell me about a time your team’s goals were out of alignment with another team on which you relied to attain a key resource.  How did you work with the other team?  Were you able to achieve your goals?  (Manager)
12. Tell me about a time you uncovered a significant problem in your team.  What was it and how did you communicate it to your manager and to your peers or other stakeholders?  (Manager)
 

# Frugality
1.  Give me an example of how you have helped save costs or eliminate waste within your operation. 
2.  Tell me about a time when you had to make tradeoffs between quality and cost.  How did you weigh the options?  What was the result? 
3.  Tell me about a time you had to get something done with half or two thirds of the resources you thought you’d need for the project or initiative. 
4.  Tell me about a time when you generated a creative solution to a problem or project without requiring additional resources.  What was the problem?  What was the solution and how did you come up with it?
5.  Tell me about a time you didn’t have enough resources to do something you felt was important but found a creative way to get it done anyway.  What drove you to seek out creative solutions? 
6.  Give an example of a time you requested additional funding/budget to complete a project.  Why was it needed?  Did you try to figure out another approach?  Did you get the additional resources?  Why or why not?  
7.  Give an example of a time when you challenged your team to come up with more efficient solution or process.  What drove the request?  How did you help?  (Manager)
8.  How do you determine when to award or ask for additional resources?  What criteria do you use for making the call?  (Manager)
9.  Tell me how you have created organization (or customer) value through either increased revenue stream or lowering the cost structure.  (Manager)

# Have Backbone; Disagree & Commit
1.  Tell me about a time that you strongly disagreed with your manager on something you deemed to be very important to the business.  What was it about and how did you handle it?
2.  Give me an example of when you took an unpopular stance in a meeting with peers and your leader and you were the outlier.  What was it, why did you feel strongly about it, and what did you do? 
3.  When do you decide to go along with the group decision even if you disagree?   Give me an example of a time you chose to acquiesce to the group even when you disagreed.  Would you make the same decision now? 
4.  Describe a time where you felt really strongly about something but ultimately lost the argument.  How hard did you press the issue?  What was your approach after you lost the argument?
5.  Give an example when you submitted a good idea to your manager and he/she did not take action on it?   How did you handle it?  What was the end outcome?
6.  Tell me about a time the business gained something because you persisted for a length of time.  Why were you so determined?  How did it turn out? 
7.  Provide an example of a time when you have had to make a difficult decision under pressure and then defend and justify it.  Was it the right decision?  
8.  Give an example of when you had to support a business initiative with which you didn’t necessarily agree.  How did you handle it?  (Manager)
9.  Tell me about a time when you pushed back against a decision that negatively impacted your team.  What was the issue and how did it turn out? (Manager)

# Hire and Develop the Best
1.  Give me an example of one of the best hires of your career.  How did this person progress through their career?  What did you identify during the hiring process that drove his or her success? 
2.  Tell me how you help your team members develop their careers.  Can you give me two to three examples of specific people in whom invested and how you helped them develop their careers including one who wasn’t being successful but you saw potential and chose to invest?
3.  Give me an example of a time you have provided feedback to develop and leverage the strengths of someone on your team.  Were you able to positively impact that person’s performance?  What were your most effective methods?   
4.  Tell me about your hiring process when you are hiring key positions such as direct reports.  Where do you go for talent?  What resources do you employ?  What are the steps in the process?  What traits do you seek that will tell you the candidate will be successful on the team apart from the obvious hard skills?  [probe on how they assess specific things in an interview, such as integrity, who does the references?  Do they do them?  How do they use them?}  (Manager)
5.  Tell me about someone that you hired that you thought was better than you in a number of areas.  How did you add value to that person?  (Manager)
6.  Tell me about a time when you had a low performing individual on your team.  How did you deliver feedback to this person?  Did their performance improve or did they leave the organization?  (Manager)
7.  Give me an example of someone who was promoted one or two levels up in the organization – not just because they were a star who would naturally rise, but due to your development/coaching efforts.  (Manager)

# Insist on Highest Standards
1.  Tell me about a time when you have been unsatisfied with the status quo.  What did you do to change it?  Were you successful? 
2.  Tell me about a time you wouldn’t compromise on achieving a great outcome when others felt something was good enough.  What was the situation?
3.  What measures have you personally put in place to ensure performance improvement targets and standards are achieved? 
4.  Describe the most significant, continuous improvement project that you have led.  What was the catalyst to this change and how did you go about it?
5.  Give me an example of a goal you’ve had where you wish you had done better.  What was the goal and how could you have improved on it? 
6.  Tell me about a time when you have worked to improve the quality of a product / service / solution that was already getting good customer feedback? Why did you think it needed continued improvement? 
7.  Give an example where you refused to compromise your standards around quality/customer service, etc. Why did you feel so strongly about the situation?  What were the consequences?  The result? 
8.  How do you seek out feedback on your team’s performance?  Give a specific example of how you used feedback you received on your team to drive improvement.  (Manager)
9.  Can you tell me about a time when a team member was not being as productive as you needed?  What was the situation?  What did you do? What was the result?  (Manager)
10. Describe the process you go through to set specific targets to improve critical areas of your work/team.  Please refer to a specific example.  (Manager)

# Invent and Simplify
1.  Tell me about the most innovative thing you’ve done and why you thought it was innovative (can also probe with: That sounds more evolutionary than revolutionary – tell me about something you’ve done you feel was truly revolutionary? Ask for one or two additional examples to see if it’s a one off or pattern.)
2.  People often say the simplest solution is the best.  Tell me about a particular complex problem you solved with a simple solution. 
3.  Tell me about a time you were able to make something significantly simpler for customers. What drove you to implement this change?
4.  Describe a challenging problem or situation in which the usual approach was not going to work.  Why were you unable to take the usual approach?  What alternative approach did you take?  Was it successful? 
5.  Give an example of a creative idea you had that proved really difficult to implement.  What was the idea and what made it difficult to implement?  Was it successful?
6.  Tell me about an out-of-the-box idea you had or decision you made that had a big impact on your business.
7.  Give me an example of how you have changed the direction or view of a specific function/department and helped them embrace a new way of thinking?  Why was a change needed?  
8.  How do you draw new thinking and innovation out of your team?   Give an example of how your approach led to a specific innovation.  (Manager)
9.  Tell me about a time when you have enabled your team/ a team member to implement a significant change or improvement.  (Manager)

# Ownership
1.  Tell me about a time when you took on something significant outside your area of responsibility.  Why was it important?  What was the outcome?
2.  Give me an example of a time when you didn't think you were going to meet the commitments you promised.  How did you identify the risk and communicate it to stakeholders?  What was the outcome? 
3.  Tell me about a time you made a hard decision to sacrifice short term gain for a longer term goal. 
4.  Give an example of when you saw a peer struggling and decided to step in and help.  What was the situation and what actions did you take?  What was the outcome?
5.  What steps do you take to ensure projects you complete get transitioned effectively to new owners?  Give an example where you elected to re-engage on a project that you had already transitioned to someone else.  What was the situation and why did you feel it was important to re-engage?
6.  How do you ensure your team stays connected to the company vision and the bigger picture?  Give an example of when you felt a team or individual goal was in conflict with the company vision.  What did you do?  (Manager)
7.  Tell me about an initiative you undertook because you saw that it could benefit the whole company or your customers, but wasn’t within any group’s individual responsibility so nothing was being done.  (Manager)

# Think Big
1.  Give me an example of a radical approach to a problem you proposed.  What was the problem and why did you feel it required a completely different way of thinking about it?  Was your approach successful?
2.  How do you drive adoption for your vision/ideas?  How do you know how well your idea or vision has been adopted by other teams or partners?  Give a specific example highlighting one of your ideas.
3.  Tell me about time you were working on an initiative or goal and saw an opportunity to do something much bigger than the initial focus.  
4.  Tell me about a time you looked at a key process that was working well and questioned whether it was still the right one?  What assumptions were you questioning and why?  Did you end up making a change to the process? 
5.  Tell me about a time you took a big risk – what was the risk, how did you decide to do it and what was the outcome? 
6.  Now Tell me about a time you took a big risk and it failed.  What did you learn?  What would you do differently?
7.  Tell me about a time you came up with the vision for a (team, product, strategic initiative) when there wasn’t a guiding vision.  What was it?  How did you gain buy-in and drive execution? (Manager)
8.  Tell me about encouraging or enabling a member of your team to take big risk.  How did you balance the risk to the business with possible positive outcome for the organization and opportunity for learning for your direct report?  (Manager)
9.  Tell me about time you had to develop a product/business model from scratch or when you dramatically changed one in a turnaround situation.  (Manager)

# Learn and Be Curious
1.  What is the coolest thing you have learned on your own that has helped you better perform your job?
2.  Tell me about a time when you realized you needed to have a deeper level of subject matter expertise to do your job well?
3.  When we enter into a new role or problem space, it is common to come in and see things with a fresh perspective. Tell me about a time when you realized that you might have lost that fresh perspective? What ended up happening?
4.  Tell me of a time when you took on work outside of your comfort area and found it rewarding?
5.  Tell me about a time when you didn’t know what to do next or how to solve a challenging problem?
6.  Example of a time when you pushed the existing boundaries beyond what was normal and expected for your space and you explored new territory?
7.  How have you kept up to date with market and competitor trends, and used that information to improve your company’s products / services?
8.  Give me an example of a time when you challenged the notion that something had to be done a certain way because it had always been done that way?
9.  What are you working on to improve your overall effectiveness at work?
10. Tell me about a time when you challenged your team to push the envelope and go beyond existing standards and expectations. (Manager)
11. Give a specific example of where you realized your team had not been as effective as it could have.  What feedback mechanisms do you use? (Manager)
12. Example when someone on your team challenged you to think differently about a problem? What was the situation, how did you respond? (Manager)
13. Example where your team was unable to achieve a goal or milestone but the information gathered during the project enabled future success. (Manager)
14. Tell me about a time when a member of your team contributed significantly to a project outside the scope of their role. What motivated you to encourage their participation?  (Manager)
 
