# About foundation/lambda-cf-skeleton

This document outlines details about foundation/lambda-cf-skeleton for use with [`tcs`](https://git-aws.internal.justin.tv/dta/tcs#tcs).

This skeleton provides a starting point for one or more lambdas. It provides a harness for building and deploying lambdas in a safe controlled, and testable way. It uses Cloudformation to create an automated CD deployment process


[If you are new to skeletons, you can read about them here](https://git-aws.internal.justin.tv/dta/tcs/blob/master/docs/using_skeletons.md).

## Table of Contents

- [Files](#files)
- [Checkpoints](#checkpoints)
- [Used by](#used-by)
- [Compatible Skeletons](#compatible-skeletons)

## Files

- [Templates](https://git-aws.internal.justin.tv/foundation/lambda-cf-skeleton/search?utf8=%E2%9C%93&q=extension%3Atmpl)
- [Schemas](https://git-aws.internal.justin.tv/foundation/lambda-cf-skeleton/search?utf8=%E2%9C%93&q=filename%3Aschema+extension%3Ayaml&type=Code)
- [Seed Data](https://git-aws.internal.justin.tv/foundation/lambda-cf-skeleton/search?utf8=%E2%9C%93&q=filename%3Aseed-data+extension%3Ayaml&type=Code)
- [Skeleton Configuration](https://git-aws.internal.justin.tv/foundation/lambda-cf-skeleton/search?utf8=%E2%9C%93&q=filename%3Askeleton+extension%3Ayaml&type=Code)

## Checkpoints

**This skeleton has no documented checkpoints.**

## Used by

[Here are repositories that use this skeleton](https://git-aws.internal.justin.tv/search?utf8=%E2%9C%93&q=filename%3Atcs+extension%3Ayaml+foundation%2Flambda-cf-skeleton&type=Code&ref=searchresults)

## Compatible Skeletons

**This skeleton has no documented compatible skeletons.**
